Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.text
Interface NbDocument.CustomEditor

All Superinterfaces:
  Document

Enclosing class:
  NbDocument

    public static interface NbDocument.CustomEditor

extends Document

Enabled documents to add special UI components to their Editor pane. If this interface is implemented by the Editor document, it can be used to add other components (such as toolbars) to the pane.

Field Summary

Fields inherited from interface javax.swing.text.Document
`StreamDescriptionProperty, TitleProperty`

Method Summary
`Component` | `createEditor(JEditorPane j)` Create a whole editor component over the given `JEditorPane`.

Methods inherited from interface javax.swing.text.Document
`addDocumentListener, addUndoableEditListener, createPosition, getDefaultRootElement, getEndPosition, getLength, getProperty, getRootElements, getStartPosition, getText, getText, insertString, putProperty, remove, removeDocumentListener, removeUndoableEditListener, render`

Method Detail

### createEditor

    Component createEditor(JEditorPane j)

  Create a whole editor component over the given `JEditorPane`. The implementation should generally add some kind of scrolling support to the given `JEditorPane` (typically with scrollbars), possibly some other components according to the desired layout, and return the resulting container.

  Parameters:
    `j` - editor pane over which the resulting component will be built
  Returns:
    component encapsulating the pane and all other custom UI components

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.